.input-euro {
    position: relative;
    height: 35px; 
    border-radius: 8px;
}
.input-euro.right input {
    padding-right:18px;
    text-align:end; 
}
.input-euro:before {
    position: absolute;
    top: 0;
    content:"€";
}
.input-euro.right:before {
    right: 5px;
}

.input-m2 {
    position: relative;
    height: 35px; 
    border-radius: 8px;
}
.input-m2.right input {
    padding-right:18px;
    text-align:end; 
}
.input-m2:before {
    position: absolute;
    top: 0;
    content:"m2";
}
.input-m2.right:before {
    right: 5px;
}
